phpLDAPadmin

# Procedural File: schema_functions.php

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

## Classes:

SchemaItem
  Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.
ObjectClass
  Represents an LDAP objectClass
ObjectClass_ObjectClassAttribute
  A simple class for representing AttributeTypes used only by the ObjectClass class.
AttributeType
  Represents an LDAP AttributeType
Syntax
  Represents an LDAP Syntax
MatchingRule
  Represents an LDAP MatchingRule
MatchingRuleUse
  Represents an LDAP schema matchingRuleUse entry

## Page Details:

Classes and functions for fetching and parsing schema from an LDAP server.

#### Tags:

author: | The phpLDAPadmin development team

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1